program define rxrplot
    version 7.0
    local varlist "req ex min(3)"
    local if "opt"
    local in "opt"
    local options "Qshape(int 0)"
    parse "`*'"
    parse "`varlist'", parse(" ")
    #delim ;
    display _n in gr "RXridge:  Shrinkage Coefficients..." ;
    note: RXridge TS ...Shrinkage Coefficients, Q-shape= `qshape' ;
    use rxridge1, replace ;
    graph varlist, symbol(..........) connect(llllllllll) xlabel ylabel
      border b2(" ") yline(0) title("RXridge: Coefficients Trace, Q=`qshape'")
      saving(rxridge1, replace) ;
    more ;
    * ;
    display _n in gr "RXridge:  Scaled MSE Risk Estimates..." ;
    note: RXridge TS ...Scaled MSE Risk Estimates, Q-shape= `qshape' ;
    use rxridge2, replace ;
    graph varlist, symbol(..........) connect(llllllllll) xlabel ylabel
      border b2(" ") title("RXridge: Scaled MSE Risk, Q=`qshape'")
      saving(rxridge2, replace) ;
    more ;
    * ;
    display _n in gr "RXridge:  Excess Eigenvalue Estimates..." ;
    note: RXridge TS ...Excess Eigenvalue Estimates, Q-shape= `qshape' ;
    use rxridge3, replace ;
    graph varlist, symbol(..........) connect(llllllllll) xlabel ylabel
      border b2(" ") title("RXridge: Excess Eigenvalues, Q=`qshape'")
      saving(rxridge3, replace) ;
    more ;
    * ;
    display _n in gr "RXridge:  Inferior Direction Cosine Estimates..." ;
    note: RXridge TS ...Inferior Direction Cosines, Q-shape= `qshape' ;
    use rxridge4, replace ;
    graph varlist, symbol(..........) connect(llllllllll) xlabel ylabel
      border b2(" ") title("RXridge: Inferior Direction, Q=`qshape'") yline(0)
      saving(rxridge4, replace) ;
    more ;
    * ;
    display _n in gr "RXridge:  Shrinkage DELTA Factors..." ;
    note: RXridge TS ...Shrinkage DELTA Factors, Q-shape= `qshape' ;
    use rxridge5, replace ;
    graph varlist, symbol(..........) connect(llllllllll) xlabel ylabel
      border b2(" ") title("RXridge: Shrinkage Factors, Q=`qshape'")
      saving(rxridge5, replace) ;
    #delim cr
end
